autofs-5.0.5 - fix lsb service name in init script

From: Ian Kent <raven@themaw.net>

The "Provides:" in the init script header incorrectly uses $autofs
instead of autofs. This isn't correct as using names starting with
a $ is reserved for standards-defined facilities.
---

 CHANGELOG             |    1 +
 redhat/autofs.init.in |    2 +-
 samples/rc.autofs.in  |    2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)


diff --git a/CHANGELOG b/CHANGELOG
index ae5cb51..8f38cd1 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -73,6 +73,7 @@
 - reset negative status on cache prune.
 - remove master_mutex_unlock() leftover.
 - fix sanity checks for brackets in server name.
+- fix lsb service name in init script.
 
 03/09/2009 autofs-5.0.5
 -----------------------
diff --git a/redhat/autofs.init.in b/redhat/autofs.init.in
index 4a915ec..86b7eb4 100644
--- a/redhat/autofs.init.in
+++ b/redhat/autofs.init.in
@@ -8,7 +8,7 @@
 # description: Automounts filesystems on demand
 #
 ### BEGIN INIT INFO
-# Provides: $autofs
+# Provides: autofs
 # Required-Start: $network $ypbind
 # Required-Stop: $network $ypbind
 # Default-Start: 3 4 5
diff --git a/samples/rc.autofs.in b/samples/rc.autofs.in
index ae2e907..0306ef6 100644
--- a/samples/rc.autofs.in
+++ b/samples/rc.autofs.in
@@ -7,7 +7,7 @@
 #
 #
 ### BEGIN INIT INFO
-# Provides: $autofs
+# Provides: autofs
 # Required-Start: $network $ypbind
 # Required-Stop: $network $ypbind
 # Default-Start: 3 4 5
